/*! 
    \file skysphere.h
    \brief Definition of the Skysphere, that handles the Display of an atmosphere of orxonox.

    A SkySphere is always centered at the current working Camera, and will only obey the cameras
    movment but not its rotation.

    \todo self-rotation
    \todo handle reference to parent-object
*/

#ifndef _SKYSPHERE_H
#define _SKYSPHERE_H


#include "importer/material.h"
#include "p_node.h"
#include "world_entity.h"

//! A Class to handle a SkySphere
class Skysphere: public PNode 
{


 private: 
  GLUquadricObj *sphereObj;
  float a,b,c;       //!< Parameters to hold the Position of the SkySphere
  Material *sky;     //!< A Material for the Sky
  
  
 public:
  Skysphere();
  ~Skysphere();
  
  
  
  
  void updatePosition(float x,float y,float z);
  void draw();
  
   
   
   
   
};

#endif


